package cn.wisenergy.mapper;

import cn.wisenergy.model.app.MonthAward;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author 86187
 */
public interface MonthAwardMapper extends BaseMapper<MonthAward> {

    /**
     * 添加
     *
     * @param monthAward 奖励信息
     * @return 1
     */
    int add(MonthAward monthAward);

    /**
     * 编辑
     *
     * @param monthAward 奖励信息
     * @return 1
     */
    int edit(MonthAward monthAward);

    /**
     * 删除
     *
     * @param id 主键id
     * @return 1
     */
    int delById(Integer id);

    /**
     * 获取本月 月度奖金
     * @param yearMonth 年月
     * @return 月度奖金
     */
    MonthAward getByTime(@Param("yearMonth") String yearMonth);

    /**
     * 统计数据条数
     * @param map 条件
     * @return 条数
     */
    int count(Map<String,Object> map);


    /**
     * 获取列表
     * @param map 条件
     * @return 列表
     */
    List<MonthAward> getList(Map<String,Object> map);
}
